2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572348

	* gui/smime-ui.glade:
	* gui/e-cert-selector.c:
	Remove deprecated Gtk+ symbols.

2009-04-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #539002

	* gui/certificate-manager.c: (load_certs):
	Show all other certificates in a contact tab.

2009-04-07  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #529745

	* gui/certificate-manager.c: (import_your), (import_contact):
	Add more file types in a file filter.

2009-02-25  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572975

	* gui/smime-ui.glade: Center dialogs.
	* gui/certificate-manager.c: (import_your), (import_contact),
	(import_ca): Destroy file chooser dialog early enough to not have
	hidden any other windows below it.

2008-10-10  Sankar P  <psankar@novell.com>

License Changes

	* lib/e-asn1-object.c:
	* lib/e-cert-db.c:
	* lib/e-cert-trust.c:
	* lib/e-cert.c:
	* lib/e-pkcs12.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* gui/cert-trust-dialog.c:
	* gui/cert-trust-dialog.h:
	* gui/certificate-manager.h:
	* gui/certificate-viewer.c:
	* gui/certificate-viewer.h:
	* gui/component.c:
	* gui/component.h:
	* lib/e-cert-db.h:
	* lib/e-pkcs12.c:

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* gui/ca-trust-dialog.c:
	* gui/ca-trust-dialog.h:
	* gui/certificate-manager.c:
	* gui/e-cert-selector.c:
	* gui/e-cert-selector.h:
	* lib/e-asn1-object.h:
	* lib/e-cert-trust.h:
	* lib/e-cert.h:
	* lib/e-pkcs12.h:
	* tests/import-cert.c:

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* gui/e-cert-selector.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-03-11  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #513951

	* lib/e-cert-db.c (initialize_nss):
	Use e_get_user_data_dir() instead of constructing the full path.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* lib/e-cert-db.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-09-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476231

	* gui/certificate-manager.c:
	Remove non-USE_GTKFILECHOOSER code.
	GtkFileChooser has been around since 2004.

2007-09-10  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 

	* gui/e-cert-selector.c: (ecs_find_current): Move away from g_assert
	to critical warnings

2007-08-31  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #378759

	* gui/component.c: (smime_pk11_passwd), (smime_pk11_change_passwd):
	* lib/e-pkcs12.c: (prompt_for_password):
	Do not pass NULL as 'key' parameter.

2007-07-30  Andre Klapper  <a9016009@gmx.de>

	* gui/smime-ui.glade:
	remove "window1" string from translation

2007-07-27  Matthew Barnes  <mbarnes@redhat.com>

	* tests/Makefile.am:
	Rename GNOME_FULL_LIBS to GNOME_PLATFORM_LIBS.

2007-06-03  Srinivasa Ragavan  <sragavan@novell.com>

        ** Fix for version removal from Installed files from Gilles Dartiguelongue 

	* Makefile.am:

2007-04-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #396645 from Gilles Dartiguelongue

	* gui/certificate-manager.c: (import_your), (import_contact),
	(import_ca): Show only cert files in filechooser.

2007-04-19  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #429422

	* gui/certificate-manager.c (certificate_manager_config_control_new):
	Use g_object_ref() instead of gtk_widget_ref().

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2006-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* lib/e-asn1-object.c: (build_from_der): Initialize a pointer
	to NULL and cast away a warning. bug #332101.
	* lib/e-pkcs12.c: (prompt_for_password), (nickname_collision):
	Fix some signed/unsigned warnings. bug #332101.

2006-08-21  Andre Klapper  <a9016009@gmx.de>

	* smime-ui.glade:
	changed window focus. Fixes bug #266828.

2006-06-27  Veerapuram Varadhan  <vvaradhan@novell.com>

	** Fixes #334848
	
	* lib/e-pkcs12.c (prompt_for_password): 
	* gui/component.c (smime_pk11_passwd), (smime_pk11_change_passwd): 
	Do not pass NULL for the domain parameter of
	e_passwords_ask_password.
	
2006-06-15  Tor Lillqvist  <tml@novell.com>

	* lib/e-cert-db.c (initialize_nss): On Win32, NSS wants filenames
	in system codepage, so convert UTF-8 filename to system codepage.

2006-01-30  Tor Lillqvist  <tml@novell.com>

	* lib/e-cert-db.c (install_loadable_roots): On Win32, don't bother
	to attempt looking in Unix paths like /usr/lib or /opt/mozilla
	for Mozilla's nssckbi module. If necessary, add code later to look
	up the installation path of Mozilla or Firefox from the Registry.

2006-01-29  Kjartan Maraas <kmaraas@gnome.org>

	* gui/cert-trust-dialog.c: (ctd_response):
	* gui/certificate-viewer.c: (fill_in_general):
	* gui/component.c:
	* lib/e-cert-db.c: (initialize_nss), (default_nickname):
	* lib/e-cert-db.h:
	* lib/e-cert.c: (create_tbs_certificate_asn1_struct):
	* lib/e-pkcs12.c: (import_from_file_helper):
	Remove unused code. Use #ifdef instead of #if some places.
	Add missing header.

2006-01-27  Andre Klapper <a9016009@gmx.de>
	* smime-ui.glade:
	removed string "dialog1" from translation. Fixes bug 306118.

2006-01-11  Simon Zheng  <simon.zheng@sun.com>

	Fix for 325748.
	* lib/e-cert-db.c: (install_loadable_roots): Add an search path
	which can be automatically retrieved when running configure.

2006-01-10  Simon Zheng  <simon.zheng@sun.com>

	* lib/e-cert.c:use e_utf8_strftime() in evolution-data-server/
	libedataserver/e-data-server-util.c instead of the copy in 
	evolution/e-util/e-util.c.

2006-01-06  Andre Klapper <a9016009@gmx.de>
	* lib/e-cert-c: marked LDAP specifix strings as not translatable.
	  Fixes bug 273076.

2006-01-02  Harish Krishnaswamy  <kharish@novell.com>

	* gui/certificate-manager.c: (initialize_yourcerts_ui):
	Do not set the sort column before the model is initialized.
	This is done later by the function unload_certs.
	Fixes #325472 (critical warning crasher).

2005-12-18  Tor Lillqvist  <tml@novell.com>

	* gui/Makefile.am: Link with libeutil.

	* gui/ca-trust-dialog.c (ca_trust_dialog_show)
 	* gui/cert-trust-dialog.c (cert_trust_dialog_show)
	* gui/certificate-manager.c (certificate_manager_config_control_new)
	* gui/certificate-viewer.c (certificate_viewer_show)
	* gui/e-cert-selector.c (e_cert_selector_new):
	Construct glade file pathname at run-time.

	* lib/e-cert-db.c
	* lib/e-pkcs12.c: Use gstdio wrappers. Open file in binary mode.

2005-07-28  Mengjie Yu  <meng-jie.yu@sun.com>

	* lib/e-cert-db.c:
	Add reserved field for an empty structure.

	Fixes #311837

2005-07-20  Tor Lillqvist  <tml@novell.com>

	* gui/Makefile.am: Use privsolib so the DLL gets installed in
	bindir on Win32. (See ChangeLog entry in .. from 2005-06-18.) Link
	with libeshell. Use NO_UNDEFINED.

	* lib/Makefile.am: Use privsolib here, too. Link with libeutil and
	CERT_UI_LIBS. Use NO_UNDEFINED.

2005-06-06  JP Rosevear  <jpr@novell.com>

	* lib/e-cert-db.c (install_loadable_roots): pull up missing merge
	from branch

2005-05-06  Sankar P <psankar@novell.com>

	*gui/certificate-manager.c
	Changed cert to certificates
	Fixes #273075
	
2005-03-31  Jeffrey Stedfast  <fejj@novell.com>

	* lib/e-cert-db.c (install_loadable_roots): Copied Mozilla code to
	check if the nssckbi root certs module was too old and if it was,
	delete/unload it.

2005-03-30  Li Yuan  <li.yuan@sun.com>

	* gui/smime-ui.glade:
	add a11y name to Certificates Table
	Fixes #73914

2005-02-21  Not Zed  <NotZed@Ximian.com>

	** See bug #68592
	
	* gui/certificate-manager.c (yourcerts_selection_changed): dont
	pass backup to handle_selection_changed.
	(certificate_manager_config_control_new): disable the backup
	buttons always.

2005-02-23  Hans Petter Jansson  <hpj@novell.com>

	* gui/component.c:
	* lib/e-cert-db.c:
	* lib/e-pkcs12.c: Include <libedataserverui/e-passwords.h>.

2005-02-09  Hans Petter Jansson  <hpj@novell.com>

	* lib/Makefile.am:
	* gui/Makefile.am: Install shared libraries to privlibdir.

2005-02-04  Rodney Dawes  <dobey@novell.com>

	* gui/ca-trust-dialog.c (ca_trust_dialog_new): Set the border widths
	for the dialog internal container widgets to be HIG compliant

	* gui/smime-ui.glade: Set the vbox spacing to 12 for HIG compliance

2004-11-23  Not Zed  <NotZed@Ximian.com>

	* gui/certificate-manager.c (delete_ca): don't remove the tree
	node if deleting the cert failed.
	(delete_your): same.
	(delete_contact): same.  Hoorah for code-reuse.

2004-10-13  JP Rosevear  <jpr@novell.com>

	* gui/e-cert-selector.c: update to use G_DEFINE_TYPE

2004-10-11  Not Zed  <NotZed@Ximian.com>

	* gui/e-cert-selector.c (e_cert_selector_new): dont try to
	deference NULL nickname or emailAddr on the cert.

2004-09-03  Not Zed  <NotZed@Ximian.com>

	** See bug #64420.

	* lib/e-pkcs12.c (prompt_for_password): set the outptr after we've
	actually got a pointer for it allocated.

2004-08-16  Not Zed  <NotZed@Ximian.com>

	** See bug #62963.

	* gui/cert-trust-dialog.c (ctd_response): fix c99 syntax. Spotted
	by Vincent Noel <vnoel@cox.net>

2004-08-12  Carlos Garnacho Parro  <carlosg@gnome.org>

	* gui/certificate-manager.c: Optionally use GtkFileChooser if
	compiled against Gtk+ >= 2.4.0

2004-08-10  Not Zed  <NotZed@Ximian.com>

	* gui/component.c (smime_pk11_passwd, smime_pk11_change_passwd): 
	* lib/e-pkcs12.c (prompt_for_password): api change in e_passwords.

2004-08-02  Jeffrey Stedfast  <fejj@novell.com>

	* lib/e-pkcs12.c (prompt_for_password): Fixed to work for both LE
	and BE architectures.

2004-07-16  Chris Toshok  <toshok@ximian.com>

	[ fixes #61490 ]
	
	* lib/e-cert-db.c (e_cert_db_import_pkcs12_file): un-ifdef this,
	as it's working..
	(e_cert_db_export_pkcs12_file): and ifdef this one, since it's the
	function i meant to ifdef in the first place.

2004-06-17  JP Rosevear  <jpr@novell.com>

	Fixes #56458
	
	* gui/smime-ui.glade: make the buttons vertical

2004-06-17  Not Zed  <NotZed@Ximian.com>

	** See #59885.

	* lib/e-cert-db.c (e_cert_db_import_pkcs12_file): move the #if
	notyet stuff inside the function so the symbol is defined, since
	we call it eslewhere.  i dunno if it actually works yet.

2004-06-15  Jeffrey Stedfast  <fejj@novell.com>

	* lib/Makefile.am: Added smime-marshal.list to EXTRA_DIST

2004-06-08  Chris Toshok  <toshok@ximian.com>

	* lib/e-cert-db.[ch]: quiet the compiler, and dobey.

2004-05-28  Not Zed  <NotZed@Ximian.com>

	* gui/certificate-manager.c (initialize_yourcerts_ui): set some
	columns resizable.
	(initialize_contactcerts_ui): same.

	** See bugs #52061 & #52669.

	* gui/smime-ui.glade: added cert-trust-dialog and tweaked the
	ca-trust-dialog.

	* gui/ca-trust-dialog.c (ca_trust_dialog_show): Fix the %s in the
	label.  Slack.
	(ca_trust_dialog_show): slight rearrangement.

	* gui/certificate-manager.c (add_contact_cert): fill out fields.

	* lib/e-cert.c (e_cert_get_usage): helper to get the usage of a
	cert.

	* gui/certificate-manager.c (edit_ca): use the right certdb, not
	the e-one.
	(add_user_cert): fill out missing columns.

	* lib/e-cert.c (e_cert_get_ca_cert): new method to find the ca
	cert of a cert.

	* gui/cert-trust-dialog.[ch]: peer cert trust editor.

	* gui/certificate-manager.c (edit_contact): implement.

2004-05-17  Jon Oberheide  <jon@focalhost.com>

	* gui/e-cert-selector.c (e_cert_selector_new): add "Select
	certificate" title to the previously untitled dialog.

2004-05-19  James Willcox  <jwillcox@gnome.org>

	* lib/e-cert-db.c: (pk11_password):

	Don't crash when the user presses 'cancel'.  Fixes #58733.

2004-05-13  Not Zed  <NotZed@Ximian.com>

	* lib/e-cert-db.c (e_cert_db_login_to_slot): call SetPasswordFunc
	before calling authenticate - some nss calls can overwrite the
	setting.  #52820.

2004-04-30  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #52724 ]
	
	* gui/ca-trust-dialog.c (ca_trust_dialog_set_trust): new function,
	set the toggle buttons' states.

	* gui/ca-trust-dialog.h (ca_trust_dialog_set_trust): add
	prototype.

	* gui/certificate-manager.c (edit_ca): flesh out the rest of the
	editing here.  set the existing trust levels and get them back
	from the dialog when OK is clicked (and store them to the cert
	db.)

2004-03-24  Chris Toshok  <toshok@ximian.com>

	* lib/smime-marshal.list: add BOOL:POINTER,POINTER,POINTER,POINTER
	for confirm_ca_cert_import.

	* lib/e-cert-db.c (e_cert_db_class_init): initialize the
	confirm_ca_cert_import signal.
	(confirm_download_ca_cert): emit confirm_ca_cert_import and use
	the returned values.
	(handle_ca_cert_download): fix the ca trust foo.
	(e_cert_db_import_certs): pass the cerdb to
	handle_ca_cert_download since we need to emit something on that
	object.

	* lib/e-cert-db.h (struct _ECertDBClass): add
	confirm_ca_cert_import signal.

	* gui/smime-ui.glade: give names to the check buttons in the ca
	trust dialog.

	* gui/component.c (smime_confirm_ca_cert_import): new function,
	show the trust dialog.
	(smime_component_init): connect to "confirm_ca_cert_import"
	signal.

	* gui/certificate-viewer.c (fill_in_general): fix lots of
	uninitialized variable accesses.
	(certificate_viewer_show): don't show the dialog (or connect to
	the response signal.)  that's the caller's job.

	* gui/certificate-manager.c (view_your): do the showing of the
	certificate_viewer here.
	(view_contact): same.
	(view_ca): same.
	(edit_ca): new function, pop up the ca trust dialog.  we need more
	here though, to fill in the toggle buttons when bringing up the
	dialog, and also to save out the settings when the user clicks ok.
	(initialize_authoritycerts_ui): hook up the edit_ca button.

	* gui/Makefile.am (libevolution_smime_la_SOURCES): add
	ca-trust-dialog.[ch].

	* gui/ca-trust-dialog.[ch]: new file implementing the ca trust
	dialog used for importing/editing ca trust levels.

2004-03-19  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #52667 ]
	
	* gui/certificate-manager.c (import_ca): don't expand the CA tree
	by default.
	(populate_ui): same.

2004-03-19  Chris Toshok  <toshok@ximian.com>

	[ fixes bug #52829 ]
	
	* lib/smime-marshal.list: add BOOL:POINTER,POINTER for
	pk11_change_passwd.

	* lib/e-cert-db.c (e_cert_db_class_init): initialize the
	pk11_change_passwd signal.
	(e_cert_db_login_to_slot): emit "pk11_change_passwd" with
	old_passwd == NULL to initialize the database.

	* lib/e-cert-db.h: add pk11_change_passwd signal slot.

	* gui/component.c (smime_pk11_change_passwd): implement the
	portion of this that gets called with old_passwd == NULL (the only
	part that needs implementing yet, since we don't have a UI for
	changing the password.)
	(smime_component_init): hook up to the pk11_change_passwd signal
	on ECertDB.

2004-03-10  Rodney Dawes  <dobey@ximian.com>

	* gui/certificate-viewer.c (certificate_viewer_show): Fix the border
	width setting for the button area, to be HIG-compliant
	* gui/smime-ui.glade: Update some border widths for the cert viweer
	Remove dialog separators (This portion from William Jon McCann)

2004-02-26  Jeffrey Stedfast  <fejj@ximian.com>

	* gui/component.c: include config.h

2004-02-24  JP Rosevear <jpr@ximian.com>

	* gui/Makefile.am: fix includes for builddir != srcdir

2004-02-11  Jeffrey Stedfast  <fejj@ximian.com>

	* lib/e-pkcs12.c: #include <config.h>
	(e_pkcs12_export_to_file): Hmm. I gather this needs to be
	implemented. return FALSE here until someone implements this so
	gcc doesn't complain about control reaching the end of a non-void
	function.
	(handle_error): Same.

	* lib/e-cert-trust.c: And here.

	* lib/e-cert-db.c: Same.

	* lib/e-asn1-object.c: And here.

	* lib/e-cert.c: Here too.

	* gui/e-cert-selector.c: Same.

	* gui/certificate-viewer.c: Same.

	* gui/certificate-manager.c: #include <config.h>

2004-01-07  Not Zed  <NotZed@Ximian.com>

	* gui/e-cert-selector.c (ecs_find_current): check certlist !=
	NULL, CERT_LIST_EMPTY dereferences it.  Bug #52457.

2004-01-05  Chris Toshok  <toshok@ximian.com>

	* lib/e-cert-db.c (e_cert_db_login_to_slot): oops, remove
	hardcoded test passwd :)

	* gui/component.c (smime_pk11_passwd): new function, implement the
	password dialog for PK11 slot authentication.
	(smime_component_init): new function, initialize any gui related
	signals that the backend exposes.

	* gui/certificate-manager.c (import_your): use
	e_cert_db_import_pkcs12_file.
	(delete_your): new function, implement.
	(view_your): same.
	(backup_your): new function, stub out.
	(backup_all_your): same.
	(create_yourcerts_treemodel): new function.
	(initialize_yourcerts_ui): do all the sorting foo, and hook up all
	the signals.
	(ainitialize_contactcerts_ui): same.
	(initialize_authoritycerts_ui): same.
	(view_contact): treemodel -> streemodel.
	(view_ca): same.
	(delete_contact): same, and convert from the sort iter to the
	child iter before we remove.
	(delete_ca): same.
	(import_contact): call gtk_tree_view_expand_all.
	(import_ca): same.
	(add_user_cert): append to the child model, not the sort model.
	(add_contact_cert): same.
	(add_ca_cert): same.
	(unload_certs): implement the E_CERT_USER case, and fix the
	USER/CA stuff to use the sorted treemodels.
	(load_certs): remove spew.
	(populate_ui): expand all the tree views.

	* lib/.cvsignore: ignore the generated marshalling files.
	
	* lib/Makefile.am: add the marshalling foo.

	* lib/smime-marshal.list (BOOL): new file.

	* lib/e-cert-db.c (pk11_password): new function, emit the
	pk11_passwd signal.
	(initialize_nss): new function, split out all the nss init code
	here, and add all the PKCS12 cipers.
	(install_loadable_roots): new function, split this code out from
	the class_init.
	(e_cert_db_class_init): call initialize_nss() and
	install_loadable_roots().  also register our pk11_passwd signal.
	(e_cert_db_import_pkcs12_file): implement.
	(e_cert_db_login_to_slot): new function, implement.

	* lib/e-cert-db.h (struct _ECertDBClass): add pk11_passwd signal,
	and add prototype for e_cert_db_login_to_slot.

	* lib/e-pkcs12.c (input_to_decoder): remove spew.
	(prompt_for_password): fix this.
	(import_from_file_helper): fix fix fix, and remove spew.
	(write_export_file): nuke, we don't need this.
	
2004-01-04  Chris Toshok  <toshok@ximian.com>

	* gui/certificate-viewer.c (fill_in_general): use <tt> markup
	around the fingerprints, and italicize the Not part of certificate
	text.
	(fill_in_details): create a monospace text tag to be used in the
	field value textbuffer.
	(fields_selection_changed): use the text tag when inserting text.

2003-12-10  Not Zed  <NotZed@Ximian.com>

	* gui/e-cert-selector.c (e_cert_selector_new): if we get no
	matching certs, show empty menu rather than crashing.  #51922.

2003-12-05  JP Rosevear  <jpr@ximian.com>

	* lib/e-cert.c: fix for C89

2003-12-04  Chris Toshok  <toshok@ximian.com>

	* gui/certificate-viewer.c (certificate_viewer_show): set the
	window title based on e_cert_get_window_title.

	* lib/e-cert.c (e_cert_get_window_title): new function, for use
	with the certificate viewer.
	(create_asn1_struct): call e_cert_get_window_title.

2003-12-04  Chris Toshok  <toshok@ximian.com>

	* lib/e-cert.h: add prototype for e_cert_get_asn1_struct.
	
	* lib/e-cert.c (e_cert_dispose): unref the asn1 object.
	(get_int_value): copy and massage from mozilla source.
	(process_version): same.
	(process_serial_number_der): same.
	(get_default_oid_format): same.
	(get_oid_text): same.
	(process_raw_bytes): same.
	(process_sec_algorithm_id): same.
	(process_subject_public_key_info): same.
	(process_ns_cert_type_extensions): same.
	(process_key_usage_extensions): same.
	(process_extension_data): same.
	(process_single_extension): same.
	(process_extensions): same.
	(process_name): same.
	(create_tbs_certificate_asn1_struct): same.
	(create_asn1_struct): same.
	(e_cert_get_asn1_struct): new function.

	* lib/e-asn1-object.c (e_asn1_object_dispose): free the display
	name, value, and children.
	(e_asn1_object_init): assume it's a valid container unless we hear
	otherwise.
	(e_asn1_object_new_from_cert): nuke.
	(e_asn1_object_set_valid_container): implement.
	(e_asn1_object_append_child): same.
	(e_asn1_object_set_display_name): same.
	(e_asn1_object_set_display_value): same.

	* lib/e-asn1-object.h: add prototypes for
	e_asn1_object_set_valid_container, e_asn1_object_set_display_name,
	e_asn1_object_set_display_value, and e_asn1_object_append_child.

	* gui/certificate-viewer.c (populate_fields_tree): populate the
	tree from the asn structure.
	(hierarchy_selection_changed): blow away the old fields_tree
	content and populate it again.
	(fields_selection_changed): implement, set the text view's
	contents to the asn1 object's display_value.
	(fill_in_details): expand all nodes in the hierarchy tree.

2003-12-03  Chris Toshok  <toshok@ximian.com>

	* lib/Makefile.am (libessmime_la_SOURCES): add e-asn1-object.[ch]

	* gui/smime-ui.glade: rename the ca trust dialog, and give it a
	proper id.

	* gui/certificate-manager.c (yourcerts_selection_changed): just
	use @selection.
	(contactcerts_selection_changed): same.
	(authoritycerts_selection_changed): same.

	* gui/certificate-viewer.c (free_data): free the cert chain.
	(fill_in_general): move all the general tab stuff here.
	(hierarchy_selection_changed): new function.  not finished.
	(fields_selection_changed): new function, unimplemented.
	(fill_in_details): new function, fill in the heirarchy and hook up
	signals and stuff.
	(certificate_viewer_show): call fill_in_general/fill_in_details.

	* lib/e-cert.c (e_cert_get_chain): new function.

	* lib/e-cert.h: add prototype for e_cert_get_chain.

2003-12-03  Chris Toshok  <toshok@ximian.com>

	* lib/e-cert-db.c (e_cert_db_class_init): grovel around at startup
	time for mozilla's pkcs11 module so we can get the same default
	set of root certs.

2003-11-30  Larry Ewing  <lewing@ximian.com>

	* lib/e-pkcs12.c (nickname_collision): make sure declarations
	precede logic for older compilers.

	* gui/Makefile.am (INCLUDES): don't define GTK_DISABLE_DEPRECATED
	it breakes on gtk-2.3 with gtk_option_menu_get_history.

2003-11-26  Chris Toshok  <toshok@ximian.com>

	* gui/certificate-viewer.[ch]: mostly implement a viewer for
	certificates.
	
	* gui/smime-ui.glade: fingerprints-sh1 -> fingerprints-sha1.

	* gui/certificate-manager.c (import_your): new function, use
	e-pkcs12 to implement it.
	(initialize_yourcerts_ui): hook up the import button.
	(view_contact): new function, bring up the certificate viewer.
	(initialize_contactcerts_ui): hook up the view button.
	(view_ca): new function, bring up the certificate viewer.
	(initialize_authoritycerts_ui): hook up the view button.

	* gui/Makefile.am (libevolution_smime_la_SOURCES): add
	certificate-viewer.[ch]

	* lib/e-cert.c (e_cert_dispose): free all the new cached foo.
	(e_cert_populate): populate all the new cached foo.
	(e_cert_get_issuer_cn): new function.
	(e_cert_get_issuer_org): same.
	(e_cert_get_issuer_org_unit): same.
	(e_cert_get_issued_on_time): same.
	(e_cert_get_issued_on): same.
	(e_cert_get_expires_on_time): same.
	(e_cert_get_expires_on): same.
	(e_cert_get_serial_number): same.
	(e_cert_get_sha1_fingerprint): same.
	(e_cert_get_md5_fingerprint): same.

	* lib/e-cert.h: add prototypes for lots more accessors.
	
	* lib/e-cert-db.c (e_cert_db_find_cert_by_key): fix typo.
	(e_cert_db_find_cert_by_email_address): call
	CERT_DestroyCertificate to free the cert.
	(default_nickname): new function.
	(e_cert_db_import_user_cert): implement.
	(e_cert_db_import_server_cert): add blurb.

	* lib/e-pkcs12.[ch]: new files.

	* lib/Makefile.am (libessmime_la_SOURCES): add e-pkcs12.[ch]

2003-11-12  Not Zed  <NotZed@Ximian.com>

	* gui/smime-ui.glade: added cert_selector widget to be placed
	inside a dialog.

	* gui/e-cert-selector.[ch]: new class to allow user to select a
	certificate for signing or encrypting.

2003-11-12  Chris Toshok  <toshok@ximian.com>

	* lib/e-cert.c (e_cert_get_cert_type): implement using the
	e-cert-trust foo.
	(e_cert_get_email): implement.

	* lib/e-cert.h: add UNKNOWN cert type.

	* gui/smime-ui.glade: fix capitalization of "Import" on the
	contact certificate page.

	* gui/certificate-manager.c (import_contact): new function.
	implement email cert importing.
	(delete_contact): new function.
	(unload_certs): implement for E_CERT_CONTACT.
	(certificate_manager_config_control_new): get the contact cert
	action buttons from libglade.

	* lib/e-cert-db.c (handle_ca_cert_download): mostly implement the
	trust settings correctly.  this still needs work pending the CA
	trust dialog's completion.
	(e_cert_db_delete_cert): fix the ifdef'ed code.
	(e_cert_db_import_user_cert): remove the ifdef'ed body of this,
	since it was copied from the CA code.

	* lib/Makefile.am (libessmime_la_SOURCES): add e-cert-trust.[ch]

	* lib/e-cert-trust.[ch]: new files, basically c&p nsNSSCertTrust
	from mozilla's PSM.

2003-11-11  Chris Toshok  <toshok@ximian.com>

	* tests/import-cert.c (main): don't init NSS here.  it's done in
	e_cert_db_peek.

	* lib/Makefile.am (libessmime_la_SOURCES): add e-cert-db.[ch]

	* gui/smime-ui.glade: set the initial sensitivity of the buttons
	here, and add the beginnings of the CA import dialog (where you
	assign trust levels to it.)

	* gui/certificate-manager.c (handle_selection_changed):
	sensitize/desensitize all the various buttons correctly when the
	GtkTreeView's selection changes.
	(yourcerts_selection_changed): new, selection change handler for
	the Your Certs tab.
	(initialize_yourcerts_ui): hook up the tree selection, and add a
	model column for the ECert.
	(contactcerts_selection_changed): new, selection change handler
	for the Contact Certs tab.
	(initialize_contactcerts_ui): hook up the tree selection, and add
	a model column for the ECert.
	(import_ca): new function.
	(delete_ca): new function.
	(authoritycerts_selection_changed): new, selection change handler
	for the Authority Certs tab.
	(create_authoritycerts_treemodel): new function for creating the
	authority cert tree model.  the other tabs will eventually use a
	separate function for this too, as unload_certs gets fleshed out.
	(initialize_authoritycerts_ui): hook up the tree selection, and
	add import/delete buttons.
	(destroy_key): dtor for the keys in our hashes.
	(destroy_value): dtor for the values in our hashes.
	(unload_certs): new function.  basically destroy/recreate the
	model and hash for the particular cert type/tab.
	(load_certs): use e_cert_get_cert_type.
	(populate_ui): use unload_certs as well as load_certs.
	(certificate_manager_config_control_new): call e_cert_db_peek
	,which will initialize all of NSS.  hook up all the widgets from
	libglade.

	* lib/e-cert.h: add prototypes for all the new methods, and add
	the ECertType enum.

	* lib/e-cert.c (e_cert_dispose): handle deletion from the DB here.
	(e_cert_new_from_der): new function.
	(e_cert_get_internal_cert): new function.
	(e_cert_get_raw_der): new function.
	(e_cert_get_issuer_name): new
	(e_cert_get_subject_name): new
	(e_cert_mark_for_deletion): new
	(e_cert_get_cert_type): new.
	(e_cert_is_ca_cert): nuke.

	* lib/e-cert-db.[ch]: new, partly implemented, derived from
	mozilla's nsNSSCertificateDB code.

2003-10-30  Chris Toshok  <toshok@ximian.com>

	* gui/certificate-manager.h: add boilerplate.

	* gui/certificate-manager.c
	(certificate_manager_config_control_new): return NULL if the
	NSS_InitReadWrite fails - we should probably give better status
	though, or return a GtkLabel with an error message....

	* gui/Makefile.am (INCLUDES): use CERT_UI_CFLAGS.
	(TEST_LIBS): use CERT_UI_LIBS.

2003-10-30  Chris Toshok  <toshok@ximian.com>

	* tests/Makefile.am (INCLUDES): use CERT_UI_CFLAGS.
	(TEST_LIBS): use CERT_UI_LIBS.

2003-10-28  Chris Toshok  <toshok@ximian.com>

	* gui/Makefile.am (libevolution_smime_la_SOURCES): add
	certificate-manager.h

2003-10-23  Chris Toshok  <toshok@ximian.com>

	* lib/e-cert.[ch], lib/Makefile.am, gui/certificate-manager.[ch],
	gui/Makefile.am, gui/smime-ui.glade, Makefile.am: initial addition
	of s/mime foo.

